SpringBoardParserInternal::Frame Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SpringBoardParserInternal::Frame Struct Reference

Internal: a structure used to store the frame property in SpringBoardParserInternal. More...

## Public Member Functions
| Frame ()
| constructor

## Public Attributes
int | m_type
| the frame type: 0: layout, 1: text, 2: graphic
MWAWGraphicStyle | m_style
| the frame style
int | m_numSubZones
| the number of sub zone (for a text frame)
MWAWBox2i | m_boxes [2]
| the external and the internal box
int | m_numColumns
| the number of columns: for a text frame
std::vector< MWAWBox2i > | m_columnBoxes
| the child box: one by column for text and layout

## Detailed Description

Internal: a structure used to store the frame property in SpringBoardParserInternal.

## Constructor & Destructor Documentation

## ◆ Frame()

SpringBoardParserInternal::Frame::Frame | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_boxes

MWAWBox2i SpringBoardParserInternal::Frame::m_boxes[2]

the external and the internal box

Referenced by SpringBoardParser::sendFrame().

## ◆ m_columnBoxes

std::vector<MWAWBox2i> SpringBoardParserInternal::Frame::m_columnBoxes

the child box: one by column for text and layout

Referenced by SpringBoardParser::sendFrame().

## ◆ m_numColumns

int SpringBoardParserInternal::Frame::m_numColumns

the number of columns: for a text frame

## ◆ m_numSubZones

int SpringBoardParserInternal::Frame::m_numSubZones

the number of sub zone (for a text frame)

Referenced by SpringBoardParser::parseData().

## ◆ m_style

MWAWGraphicStyle SpringBoardParserInternal::Frame::m_style

the frame style

Referenced by SpringBoardParser::parseData(), and SpringBoardParser::sendFrame().

## ◆ m_type

int SpringBoardParserInternal::Frame::m_type

the frame type: 0: layout, 1: text, 2: graphic

Referenced by SpringBoardParser::parseData().

The documentation for this struct was generated from the following file:

- SpringBoardParser.cxx